/************************************************************************
 *                                                                      *
 *                      copyright Richard Bornat 1981                   *
 *                                                                      *
 ************************************************************************/

/* character values
 * ^A (001) is WRIGHT
 * ^B (002) is WLEFT
 * ^C (003) means back to UNIX
 * ^D (004) is END OF FILE
 * ^E (005) is DOWN
 * ^F (006) is TAILERASE
 * ^G (007) is WRUBOUT, as well as c_BELL
 */

#define c_BELL          007     /* ^G */

/* ^H (010) is LEFT (since it is BACKSPACE) */

#define c_TAB           011     /* ^I */
#define c_NL            012     /* ^J */

/* ^K (013) is LSTART
 * ^L (014) is LEND
 */

#define c_CR            015     /* ^M */

/* ^Q (021) is RIGHT
 * ^R (022) is ERASE
 * ^S (023) is UP
 * ^U (025) is LEFT
 * ^V (026) is SEND
 * ^W (027) is WORDERASE
 * ^X (030) is HEADRUBOUT
 * ^Y (031) is CHMODE
 * ^Z (032) is CONTROL
 */

#define c_ESCAPE        033     /* ^[ */

/* ^\ is QUIT */


/* and the rest (034-037) are too hard to type
*/

#define c_SPACE         040
#define c_RUBOUT        0177

extern char c_MODIFY, c_CONTROL, c_BLOB;
