/************************************************************************
 *                                                                      *
 *                      copyright Richard Bornat 1981                   *
 *                                                                      *

 ************************************************************************/

/************************************************************************
 *                                                                      *
 *      modified Nick Stoughton May 1983: removed compiled in names     *
 *                                                                      *
 ************************************************************************/

/************************************************************************
 *                                                                      *
 *      modified Kenneth Chan 1989: for Liverpool HP Systems            * 
 *                                                                      *
 ************************************************************************/

#define DED_EXEC_PATH "/usr/local/lib/ded/ded"

main(argc,argv)
int argc;
char **argv;
 {  char *name;
    char execfile[256];

    char *getenv();

    name = getenv("TERM");

    if ( (strcmp( name,"vt100" ) == 0) || 
         (strcmp( name,"xterm" ) == 0) || 
         (strcmp( name,"xterms" ) == 0) ) 
    {
        sprintf(execfile,"%s_%s",DED_EXEC_PATH,"vt100");
    } else
    if ( (strcmp( name,"hp300" ) == 0) ||
         (strcmp( name,"hp2622" ) == 0) ||
         (strcmp( name,"300h" ) == 0) )
    {
        printf( "\33&f0a1k16d2L Line    Start  \33p" ) ;
        printf( "\33&f0a2k16d2L Line    Middle \33q" ) ;
        printf( "\33&f0a3k16d2L Line    End    \33r" ) ;
        printf( "\33&f0a4k16d2L Word    Left   \33s" ) ;
        printf( "\33&f0a5k16d2L Word    Right  \33t" ) ;
        printf( "\33&f0a6k16d2L Top of  Screen \33u" ) ;
        printf( "\33&f0a7k16d2L End of  Screen \33v" ) ;
        printf( "\33&f0a8k16d2L Enter   Command\33w" ) ;
        printf( "\n" ) ;
        sprintf(execfile,"%s_%s",DED_EXEC_PATH,"hp300");
    } else
    {
	printf("unknown/unsupported terminal type %s - check TERM parameter\n",
                name);
        printf("ded supports the following terminals\n" ) ;
        printf("vt100, xterm, xterms, hp300, hp2622 and 300h\n" ) ; 
        exit(2) ;
    }

    argv[0]="ded";
    execv(execfile, argv);
    printf("cannot execute %s\n",execfile);
    exit(2) ;
 }

