#include "ded.h"
#include "char.h"
#include "ter.h"

/************************************************************************
 *                                                                      *
 *                      copyright Richard Bornat 1981                   *
 *                                                                      *
 ************************************************************************/

/************************************************************************
 *                                                                      *
 *                  case 0 - no join hardware                           *
 *                                                                      *
 ************************************************************************/

join0(r,c,t,up,str)
register int r,c,t;
int up;
char *str;
 {  char tail[ENOUGH];

    copyrow(r+1,t,tail);

    if (up)
     {  if (ter.scrseq.hardscroll && c==MARGIN && t==MARGIN)
	  scrollup(r,LASTINROW,str);
	else /* up, no hardware at all */
	 {  redraw(r,c,tail);
	    scrollup(r+1,LASTINROW,str);
	 }
     }
    else /* down */
     {  if (ter.scrseq.hardscroll)
	 {  scrolldown(0,r+1,str);
	    redraw(r+1,c,tail);
	 }
	else /* down, no hardware at all */
	 {  int lc;

	    copyrow(r,0,tail);
	    lc = strlength(tail);
	    while (lc<c) tail[lc++]=c_SPACE;
	    copyrow(r+1,t,&tail[c]);
	    scrolldown(0,r,str);
	    redraw(r+1,0,tail);
	 }
     }
 }
