#include "ded.h"
#include "char.h"
#include "ter.h"

/************************************************************************
 *                                                                      *
 *                      copyright Richard Bornat 1981                   *
 *                                                                      *
 ************************************************************************/

/************************************************************************
 *                                                                      *
 *              case 2 - pushdown, pullup                               *
 *                                                                      *
 ************************************************************************/

scr2_up(r1,r2,line)
register int r1, r2;
char *line;
 {  /* strategy - pullup at r1, scrolldown(r2:FOOT) */
    if (line==0)
      return(3+scrolldown(r2+1,FOOTROW,(char *)0));
    else /* do it */
     {  sendat(r1, 0, ter.scrseq.pullup);
	shufmap(r1, FOOTROW, -1);
	scrolldown(r2, FOOTROW, line);
     }
 }

scr2_down(r1, r2, line)
register int r1, r2;
char *line;
 {  /* strategy - scrollup(r2:FOOT), pushdown at r1 */
    if (line==0)
      return(3+scrollup(r2,FOOTROW,(char *)0));
    else
     {  if (r2!=FOOTROW) scrollup(r2, FOOTROW, "");
	sendat(r1, 0, ter.scrseq.pushdown);
	shufmap(r1, FOOTROW, 1);
	redraw(r1, 0, line);
     }
 }
