#include "ded.h"
#include "char.h"
#include "jmp.h"
#include "lines.h"
#include "match.h"
#include "signal.h"
#include "ter.h"
#include "tty.h"

/************************************************************************
 *                                                                      *
 *                      copyright Richard Bornat 1981                   *
 *                                                                      *
 ************************************************************************/

/* char.h */
char c_MODIFY, c_CONTROL, c_BLOB;

/* ded.h */
int nrows;
int ncols;
struct CURSOR virt_c,real_c;
struct CURSOR in_c, edit_c;
char **rowmap, **auxscreen;
char auxl[ENOUGH];
unsigned l_offset[NLINES];

char filename[ENOUGH], tempname[ENOUGH];
char pidname[ENOUGH], pathname[ENOUGH];
char tailname[ENOUGH];
char dlogname[ENOUGH];
char erow[ENOUGH];
	/* range.c */
int b_range[NLETTS] =
 {  -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1
 };

int e_range[NLETTS] =
 {  -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1
 };
	/* comm.c */
char old_search[ENOUGH];
char old_pat[ENOUGH];
	/* unix.c */
char unixbuffer[ENOUGH];
char plusbuffer[ENOUGH];        /* UMIST addition */
char *curr_break = 0;
int topl = 0, maxl = 0;
int txin, tbout;
int ringing = true;
int mode;
int toprow,bottomrow,leftcol,rightcol;
int tmp_changed = false;
int filewritten = false;
int dlogger = -1, tty_input = STD_TER;
int std_in = STD_TER, std_out = STD_TER, std_ter = STD_TER;
int setup_done; /* ttysetup */
int Pswitch = false, Prows, Pcols; /* to say whether io is from pipe */
int editright; /* position of diagnostic message */
int diag_printed = false;       /* UMIST addition */
int tabsiz = 8;                 /* UMIST addition */
int tab_preserve = false;       /* UMIST addition */
int overtype = false;           /* UMIST addition */
int NINROWS;        /* (nrows-1) */
int LASTINROW;      /* (nrows-2) */
int EDITROW;        /* (nrows-1) */
int FOOTROW;        /* (nrows-1) */
int SCROLL;         /* (nrows/3) */
int RIGHTCOL;       /* (ncols-1) */

/* match.h */
int ab_line, ab_col;
int ms_line, ms_col, mf_line, mf_col;
int mt_line, mt_col;
	/* re.c */
char RE[RESIZE+10];
struct BR br_note[BRLIM];
int br_count;
	/* find.c */
int g_fline;
char *g_bufp;
int g_state;

/* signal.h */
int intr_typed=false, quit_typed=false;

/* ter.h */
struct TERMINAL ter;

/* dbug.c */
long d_opt = (long)0;

/* tty.c */
struct TTYBUF ttybuf, dlogbuf, ttyinbuf;

/* stuff for jumpouts */
jmp_buf dc_env, mn_env;
