#include "ded.h"
#include "char.h"
#include "ter.h"

/************************************************************************
 *                                                                      *
 *                      copyright Richard Bornat 1981                   *
 *                                                                      *
 ************************************************************************/

/************************************************************************
 *                                                                      *
 *              functions to help in hardware join                      *
 *                                                                      *
 ************************************************************************/

prejoin(r,c,t)
register int r,c;
int t;
 {  register int lc = lastrcol(r,0)+1; /* final cursor position */

    t_del_chars(r+1,0,t);
    if (c<lc)
     {  cleartail(r,c);
	lc=lastrcol(r,0)+1;
     }

    return(lc);
 }

postjoin(vr,vc, rr, rc)
register int vr, vc; /* where the join should be in the map */
register int rr, rc; /* where it is on the screen */
 {  char tail[ENOUGH];

    copyrow(vr+1,0,tail);
    catrow(vr,rc,tail);

    if (vr<rr) shufmap(0,rr,1);         /* pulled the head down */
    else shufmap(rr+1,FOOTROW,-1);        /* pulled the tail up */

    t_ins_chars((real_c.row=rr), (real_c.col=rc), c_SPACE, c_SPACE, vc-rc);
			/* insert sufficient spaces */
 }
