#include "ded.h"
#include "char.h"
#include "ter.h"

/************************************************************************
 *                                                                      *
 *                      copyright Richard Bornat 1981                   *
 *                                                                      *
 ************************************************************************/

/************************************************************************
 *                                                                      *
 *              case 1 - pushup, pulldown                               *
 *                                                                      *
 ************************************************************************/

scr1_up(r1,r2,line)
register int r1, r2;
char *line;
 {  /* strategy - scrolldown(0:r1), pushup at r2, redraw */
    if (line==0)
      return(3+scrolldown(0,r1,(char *)0));
    else /* do it */
     {  if (r1!=0) scrolldown(0, r1, "");
	sendat(r2, 0, ter.scrseq.pushup);
	shufmap(0, r2, -1);
	redraw(r2,0,line);
     }
 }

scr1_down(r1, r2, line)
register int r1, r2;
char *line;
 {  /* strategy - pulldown at r2, scrollup(0:r1) */
    if (line==0)
      return(3+scrollup(0, r1-1, (char *)0));
    else /* do it */
     {  sendat(r2, 0, ter.scrseq.pulldown);
	shufmap(0, r2, 1);
	scrollup(0, r1, line);
     }
  }
