#include "ded.h"
#include "char.h"
#include "ter.h"

/************************************************************************
 *                                                                      *
 *                      copyright Richard Bornat 1981                   *
 *                                                                      *
 ************************************************************************/

/************************************************************************
 *                                                                      *
 *                  case 0 - no split hardware                          *
 *                                                                      *
 ************************************************************************/

split0(r,c,t,up)
register int r,c,t;
int up;
 {  if (firstcol(r)>=c)
     /* strategy B - no head so create a blank line, then
      * redraw this one
      */
     {  if (up) scrollup(0,r-1,"");
	else
	 { scrolldown(r,LASTINROW,""); r++; }

	t_del_chars(r,t,c);

     }
    else
     /* strategy B - head is non-blank so adjust this line
      * then scroll
      */
     {  char tail[ENOUGH];
	int i;

	for (i=0; i<t; i++) tail[i]=c_SPACE;
	copyrow(r,c,tail+t);
	cleartail(r,c);

	if (up) scrollup(0,r,tail);
	else scrolldown(r+1,LASTINROW,tail);
     }
 }
